# file

abstract fun file(path: Any): File

Resolves a file path relative to the directory containing this script. This works as described for file

#### Return

The resolved file. Never returns null.

#### Parameters

path

The object to resolve as a File.

abstract fun file(path: Any, validation: PathValidation): File

Resolves a file path relative to the directory containing this script and validates it using the given scheme. See PathValidation for the list of possible validations.

#### Return

The resolved file. Never returns null.

#### Parameters

path

An object to resolve as a File.

validation

The validation to perform on the file.

#### Throws

InvalidUserDataException

When the file does not meet the given validation constraint.